%options ps=50 ls=70 symbolgen;

/* Written by Brandy Sinco, 11-6-2008 */

***************************************************************;
* Normality Plots and Statistics                              *;
***************************************************************;
%Macro UniGraph(VarY, DatSet);
Title "Variable: &VarY";
Proc Univariate Data=&DatSet Normal;
 Var &VarY;
 Symbol1 V=Dot;

 Histogram / Normal(Mu=Est Sigma=Est Color=Red) CFILL=Blue;
 QQPlot    / Normal(Mu=Est Sigma=Est L=1);
Run;
%mend UniGraph;

Proc Contents Data=SASuser.Fitness;
Run;

%UniGraph(Cereal, SASUser.Protein);
%UniGraph(logCereal, Protein);
%UniGraph(Fish, SASUser.Protein);
%UniGraph(sqrtFish, Protein);
%UniGraph(rstpulse, SASUser.Fitness);


***************************************************************;
* Box-Cox Transformation                                      *;
***************************************************************;

%Macro BoxCox(VarY, DatSet);
Data Test;
Set &DatSet;
One=1;
Run;

Title "Box-Cox: &VarY";
Proc TransReg Data=Test NOZ;
Model BoxCox(&VarY)=Identity(One);
Run;
%MEnd BoxCox;

%BoxCox(Cereal, SASUser.Protein);
%BoxCox(logCereal, Protein);
%BoxCox(Fish, SASUser.Protein);
%BoxCox(sqrtFish, Protein);
%BoxCox(rstpulse, SASUser.Fitness);


Data Protein;
Set SASUser.Protein;
logCereal=log(Cereal);
sqrtFish=sqrt(Fish);
Run;
